.TH xphoon 1 "5 March 1989"
.SH NAME
xphoon \- set the X root window to display the PHase of the mOON
.SH SYNOPSIS
.in +.5i
.ti -.5i
xphoon \%[ -b ] \%[ -t <interval> [ -i ]] \%[ <display> ]
.in -.5i
.SH DESCRIPTION
.I Xphoon
sets the X root window to display a picture of the moon in its current phase,
including the partial lighting of the dark side by reflected earthlight.
.LP
The
.B -b
flag defeats the earthlight feature, forcing the dark side to be black.
The
.B -t
flag can be used to have
.I xphoon
keep running and update the picture every
.I <interval>
minutes. (Normally,
.I xphoon
just sets the root picture and exits.) The
.B -i
flag (which is used in conjunction with the
.B -t
flag) causes
.I xphoon
to print its process id onto standard output.
With this information, you can send a
.B SIGALRM
to
.I xphoon
and cause it to update immediately.
.SH NOTES
The original motivation for this program was that xsetroot was
.B too slow.
Loading a full-screen bitmap took about 15 seconds.
We made a trivial program that had fullmoon.bitmap compiled in, and
it ran in less than a second.
(And incidentally, the executable was smaller than fullmoon.bitmap.)
Then later we came up with the cheapmoons, the phase hacking, and
finally the earthlight.
.SH "SEE\ ALSO"
.IR phoon(1),
.IR xsetroot(1)
.SH AUTHORS
Jef Poskanzer and Craig Leres.
The moon-phase computation is from "moontool.c" by John Walker.
